AppAIGatewayDocs
API referenceAdmin applications

Get an application

GET
/v1/admin/apps/{app}

Authorization

agw_identity_auth.session_token<token>

The console's session cookie. Admin requests from the console also send x-console-request: 1.

In: cookie

Path Parameters

app*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/admin/apps/string"
{  "app": {    "revision": 1,    "id": "string",    "name": "string",    "config": {      "authentication": {        "type": "apple_app_attest",        "end_user": {          "source": "issuer",          "issuer": {            "jwks_url": "http://example.com",            "issuer": "string",            "audience": "string",            "user_id_claim": "string",            "token_header": "string",            "required_claims": [              {                "path": "string",                "contains": "string",                "equals": "string"              }            ],            "max_token_lifetime_seconds": 1,            "provider": "firebase",            "entitlement": "revenuecat"          }        },        "app_attest": {          "team_id": "string",          "bundle_id": "string",          "environments": [            "production"          ]        }      },      "routing": {        "providers": {          "mode": "all",          "selected": {            "property1": {              "allowed_paths": [                "string"              ],              "allowed_models": [                "string"              ],              "max_output_tokens": 1            },            "property2": {              "allowed_paths": [                "string"              ],              "allowed_models": [                "string"              ],              "max_output_tokens": 1            }          }        },        "model_rewrites": {          "property1": "string",          "property2": "string"        }      },      "limits": {        "per_user": {          "requests": {            "per_minute": 1,            "per_day": 1          },          "spending": {            "monthly_usd": 0          }        },        "per_app": {          "requests": {            "per_minute": 1,            "per_day": 1          },          "spending": {            "monthly_usd": 0          }        }      },      "endpoints": {        "property1": {          "provider": "string",          "model": "string",          "api_style": "responses",          "params": {            "property1": null,            "property2": null          },          "max_output_tokens": 1,          "fallback": [            {              "provider": "string",              "model": "string"            }          ]        },        "property2": {          "provider": "string",          "model": "string",          "api_style": "responses",          "params": {            "property1": null,            "property2": null          },          "max_output_tokens": 1,          "fallback": [            {              "provider": "string",              "model": "string"            }          ]        }      }    },    "status": "active",    "created_at": "string",    "updated_at": "string"  },  "resolved": {    "property1": null,    "property2": null  },  "config_error": "string"}